package com.cool.store.service;

import com.cool.store.request.IntentAreaSettingRequest;
import com.cool.store.vo.ZoneCheckVO;
import com.cool.store.vo.ZoneVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2023/6/14 14:26
 * @Version 1.0
 */
public interface ZoneService {


    /**
     * 新增战区
     * @param userId
     * @param intentAreaSettingRequest
     * @return
     */
    Boolean addZone(String userId,IntentAreaSettingRequest intentAreaSettingRequest);

    /**
     * 编辑战区
     * @param userId
     * @param intentAreaSettingRequest
     * @return
     */
    Boolean updateZone(String userId,IntentAreaSettingRequest intentAreaSettingRequest);

    /**
     * 战区列表
     * @param type
     * @param pageSize
     * @param pageNum
     * @return
     */
    PageInfo<ZoneVO> getZoneList(String type, Integer pageSize ,Integer pageNum);

    /**
     * 战区详情
     * @param zoneId
     * @return
     */
    ZoneVO zoneDetail(Long zoneId);

    /**
     * 删除战区
     * @param id
     * @return
     */
    Boolean deletedZone(Long id);

    /**
     * 校验是否绑定其他战区
     * @param intentAreaSettingRequest
     * @return
     */
    List<ZoneCheckVO> checkZone(IntentAreaSettingRequest intentAreaSettingRequest);

    /**
     * 查询所有绑定战区的组织机构
     * @return
     */
    List<String> queryAllBingZoneRegionList(String type);



}
